Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.operation
Class IncompatibleOperationException

    Object
      Throwable
          Exception
              IncompatibleOperationException

All Implemented Interfaces:
  Serializable

    public class IncompatibleOperationException

extends Exception

Thrown when an operation is applied in a manner inconsistent with one or both of two particular CRS objects.

Since:
  GeoAPI 1.0
See Also:
  Serialized Form

Constructor Summary
`IncompatibleOperationException(String message, String operationName)` Creates an exception with the specified message and operation name.

Method Summary
`String` | `getOperationName()` Returns the invalid Operation name.

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncompatibleOperationException

    public IncompatibleOperationException(String message,
                                          String operationName)

  Creates an exception with the specified message and operation name.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `operationName` - The invalid operation name.

Method Detail

### getOperationName

    public String getOperationName()

  Returns the invalid Operation name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.